CREATE TABLE cz_ui_navigation_models (
    UI_NAVIGATION_MODEL_ID    NUMBER(18, 0),
    START_MODEL_VERSION       NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    MODEL_ID                  NUMBER(18, 0)    NOT NULL,
    UI_ID                     NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG              NUMBER(18, 0)    NOT NULL,
    END_MODEL_VERSION         NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    UI_NAVIGATION_MODEL_ID    NUMBER(18, 0),
    START_MODEL_VERSION       NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    MODEL_ID                  NUMBER(18, 0)    NOT NULL,
    UI_ID                     NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG              NUMBER(18, 0)    NOT NULL,
    END_MODEL_VERSION         NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_cz_ui_navigation_models PRIMARY KEY (UI_NAVIGATION_MODEL_ID, START_MODEL_VERSION, UI_NAVIGATION_MODEL_ID, START_MODEL_VERSION)
);
